package $package;

import org.junit.Before;
import org.junit.Test;
import org.ow2.weblab.core.services.InvalidParameterException;
import org.ow2.weblab.core.services.searcher.SearchArgs;

/**
 * Template for WebLab service test which uses Searcher interface
 * 
 * @author WebLab Team
 */
public class $classNameTest {


	/**
	 * Instance of service which implement a Searcher
	 */
	private $className searcher;


	/**
	 * Initialisation before tests
	 */
	@Before
	public void init() {
		this.searcher = new $className();
	}


	/**
	 * Exception tests
	 */
	@Test(expected = InvalidParameterException.class)
	public void testNullSearchArgs() throws Exception {
		this.searcher = new $className();
		this.searcher.search(null);
	}


	/**
	 * Exception tests
	 */
	@Test(expected = InvalidParameterException.class)
	public void testNullQuerySearchArgs() throws Exception {
		this.searcher = new $className();
		this.searcher.search(new SearchArgs());
	}

}